Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.bytecode.buildtime.spi
Interface ClassDescriptor

    public interface ClassDescriptor

Contract describing the information Hibernate needs in terms of instrumenting a class, either via ant task or dynamic classloader.

Method Summary
`byte[]` | `getBytes()` The bytes making up the class' bytecode.
`String` | `getName()` The name of the class.
`boolean` | `isInstrumented()` Determine if the class is already instrumented.

Method Detail

### getName

    String getName()

  The name of the class.

  Returns:
    The class name.

### isInstrumented

    boolean isInstrumented()

  Determine if the class is already instrumented.

  Returns:
    True if already instrumented; false otherwise.

### getBytes

    byte[] getBytes()

  The bytes making up the class' bytecode.

  Returns:
    The bytecode bytes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.